Delete admin user

Removes an admin user from the provider using DELETE.

This removes the user roles for the authenticated provider. It does not delete the global admin user account.

Request

DELETE https://api.frontcore.com/v2/admin-users/:id

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Parameters

Name Required Value Description
id required integer Admin user ID from /admin-users

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/admin-users/123';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

{
    "id": 123,
    "deleted": true
}

Unsuccessful response sample:

{
    "error": "Invalid API key"
}      
© 2026 FrontCore